Share a connection into a Room
POST
Shares one of the caller's own connected apps or saved logins into a Room they can open. Pass task_id to finish one of their open tasks with it; that task is then set to done.
header
AuthorizationBearer <token>A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.
room_id*stringMatch
^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$SMB-Workspace-Id*stringWorkspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidIdempotency-Key*stringLength
8 <= length <= 200application/json- body
connection_id*SmbV0OperationsUpdateListColumnRequestColumnIdMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidtask_id?stringMatch
^tsk_[0-7][0-9A-HJKMNP-TV-Z]{25}$Successful authorized response.
application/json- response
data*request_id*stringcurl -X POST 'https://example.com/v1/rooms/string/connections' \ -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Idempotency-Key: stringst' \ -H 'Content-Type: application/json' \ -d '{ "connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9"}'{ "data": { "connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9", "kind": "app", "plugin": "string", "origin": "string", "label": "string", "status": "live", "shared_by": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "shared_at": "string", "mine": true, "can_stop": true }, "request_id": "string"}